> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Payout Link

> Generate Payout Link for making payouts



## OpenAPI

````yaml POST /payout-link/generate-payout-url
openapi: 3.0.1
info:
  title: CORE API OpenAPI Specification
  description: This is the API documentation for the ClickPesa CORE API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /payout-link/generate-payout-url:
    post:
      description: Generate Payout Link for making payouts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
                  description: Your payout amount
                orderReference:
                  type: string
                  description: Your unique Order reference
                checksum:
                  type: string
                  description: >-
                    If enabled, this is the generated checksum of the payload.
                    Refer to the [documentation](/home/checksum) for more
                    details.
      responses:
        '200':
          description: Generate Payout URL Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateCheckoutLinkResponse'
        '400':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '401':
          description: Invalid or Expired Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '409':
          description: Conflict Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictError'
components:
  schemas:
    GenerateCheckoutLinkResponse:
      type: object
      properties:
        payoutLink:
          type: string
          description: Hosted Payout Link
        clientId:
          type: string
          description: Application Client ID associated with the payoutLink
    ValidationError:
      type: object
      properties:
        message:
          type: string
          enum:
            - Valid Client ID is required
            - Application has no access to hosted payout feature
            - >-
              Invalid Order Reference, should only contain alphanumeric
              characters and cannot be blank
          example: >-
            Invalid Order Reference, should only contain alphanumeric characters
            and cannot be blank
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Unauthorized Error
          example: Unauthorized
    ConflictError:
      type: object
      properties:
        message:
          type: string
          description: Conflict message when an order reference is already used
          example: >-
            Order reference {Your reference} already used: Create a different
            reference
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization header containing the JWT access token returned from the
        generate token endpoint. The token already includes the Bearer prefix.
        Example: `Authorization: Bearer eyJhbGciOi...`
      bearerFormat: JWT

````